# $Id: wxRemAbout.py 8 2006-05-08 15:14:25Z dag $
import os.path, wx, datetime, re
import wx.html as html
from wxremdata import RemData
from wxremindrc import *

class Days(wx.Dialog):
	def __init__(self, parent, y, m, d):
		wx.Dialog.__init__(self, parent, -1, 'wxRemind: %d day agenda' % days, size=(620,700))
		self.html = html.HtmlWindow(self, -1)
		self.html.SetBackgroundColour(fcolor)


		self.box = wx.BoxSizer(wx.VERTICAL)
		self.box.Add(self.html, 1, wx.GROW)

		subbox = wx.BoxSizer(wx.HORIZONTAL)

		self.printer = html.HtmlEasyPrinting()
		btn = wx.Button(self, -1, "Print")
		self.Bind(wx.EVT_BUTTON, self.OnPrint, btn)
		subbox.Add(btn, 1, wx.GROW | wx.ALL, 2)

		btn = wx.Button(self, wx.ID_OK, "OK")
		btn.SetDefault()
		subbox.Add(btn, 1, wx.GROW | wx.ALL, 2)

		self.box.Add(subbox, 0, wx.GROW)
		self.SetSizer(self.box)
		self.SetAutoLayout(True)
		self.ShowDays(y,m,d)
 
	def ShowDays(self, y,m,d):
		date = datetime.date(int(y),int(m),int(d))
		mydata = RemData()
		mydata.getMonths()
		count = 0
		startdate = date
		daystr = ""
		while count < days:
			y, m, d = date.strftime("%Y %m %d").split()
			count += 1
			if mydata.getDay(y,m,d) != None:
				daystr += '<tr><td colspan="2" align="left"><b><font color="%s">%s:</font></b></td></tr>\n' % (todaycolor, date.strftime("%a %d %b %Y"))
				for event in mydata.getDay(y,m,d):
					tcol = "&nbsp;"
					if event[0] != "": tcol += event[0]
					if event[2] != "": tcol += "-%s" % event[2]
					mcol = ' '.join(event[3:-3])
					daystr += "<tr><td>%s</td><td>%s</td></tr>\n" % (tcol, mcol)
				daystr += '<tr><td colspan="2"><hr></td></tr>\n'
			enddate = date
			date = date + RemData.oneday
		title = "Agenda for %s - %s" % (
			startdate.strftime("%a, %d %b %Y"),			
			enddate.strftime("%a, %d %b %Y"))
		self.text = """<html>
<body>
<b><font color="%s">%s</font></b>
<table width="100%%" border="0" cols="4">
<tr><td colspan="2"><hr></td></tr>
%s
</table>
</body>
</html>
""" % (todaycolor, title, daystr)	
		self.html.SetPage(self.text)

	def OnPrint(self, event):
		self.printer.GetPrintData().SetPaperId(wx.PAPER_LETTER)
		self.printer.PrintText(self.text)

